/*
 * "Peko" Visual Novel System
 *
 * All Rights Reserved.
 * (c) Copyright 1999-2003 by Tsukuba Bunko.
 *
 * $Id: ColorDeserializer.java,v 1.1 2005/07/11 12:49:19 ppoi Exp $
 */
package tsukuba_bunko.peko.resource;

import org.xml.sax.SAXException;

import tsukuba_bunko.resource.SimpleDeserializer;

import	tsukuba_bunko.peko.resource.ColorManager;


/**
 * {@link java.awt.Color} ^̃\[Xɑ΂ {@link tsukuba_bunko.resource.ResourceDeserializer} łB
 * @author	$Author: ppoi $
 * @version	$Revision: 1.1 $
 * @see <a href="http://softlab.tsukuba-bunko.org/peko/userguide/resource.html#type-peko:color">peko:color ^̃\[X</a>
 */
public class ColorDeserializer	extends SimpleDeserializer	{

	/**
	 * <code>ColorDeserializer</code> ̃CX^X𐶐܂B
	 */
	public ColorDeserializer()
	{
		super();
	}


//
//	SimpleDeserializer ̎
//
	protected Object convertValue( String source )
		throws SAXException
	{
		ColorManager	colors = ColorManager.getInstance();
		return colors.getColor( source );
	}



}
