/*
 * All Rights Reserved.
 * Copyright (C) 1999-2005 Tsukuba Bunko.
 *
 * Licensed under the BSD License ("the License"); you may not use
 * this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.tsukuba-bunko.org/licenses/LICENSE.txt
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: ResourceDetectionException.java,v 1.2 2005/07/23 19:06:28 ppoi Exp $
 */
package tsukuba_bunko.util;


/**
 * \[X̌oɎsƂʒmONXłB
 * @author	$Author: ppoi $
 * @version	$Revision: 1.2 $
 */
public class ResourceDetectionException	extends Exception	{

	/**
	 * serial version UID
	 */
	private static final long	serialVersionUID	= 2205685841084150242L;

	/**
	 * <code>ResourceDetectionException</code> ̃CX^X𐶐܂B
	 */
	public ResourceDetectionException()
	{
		super();
	}

	/**
	 * <code>ResourceDetectionException</code> ̃CX^X𐶐܂B
	 * @param	message	G[bZ[W
	 */
	public ResourceDetectionException( String message )
	{
		super( message );
	}

	/**
	 * <code>ResourceDetectionException</code> ̃CX^X𐶐܂B
	 * @param	throwable	ɂȂOIuWFNg
	 */
	public ResourceDetectionException( Throwable throwable )
	{
		super( throwable );
	}

	/**
	 * <code>ResourceDetectionException</code> ̃CX^X𐶐܂B
	 * @param	message	G[bZ[W
	 * @param	throwable	ɂȂOIuWFNg
	 */
	public ResourceDetectionException( String message, Throwable throwable )
	{
		super( message, throwable );
	}
}