/*
 * All Rights Reserved.
 * Copyright (C) 1999-2005 Tsukuba Bunko.
 *
 * Licensed under the BSD License ("the License"); you may not use
 * this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.tsukuba-bunko.org/licenses/LICENSE.txt
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: MessageIDs.java,v 1.3 2005/08/22 02:21:38 ppoi Exp $
 */
package tsukuba_bunko.peko.scenario.stage;

import	tsukuba_bunko.peko.MessageID;


/**
 * <code>tsukuba_bunko.peko.scenario.stage</code> Ŏgp郁bZ[W ID `
 * @author	$Author: ppoi $
 * @version	$Revision: 1.3 $ $Date: 2005/08/22 02:21:38 $
 */
public final class MessageIDs	{

	/**
	 * "lw肳Ă܂B̓XLbv܂Bʒu {0}" / {0}:ʒu
	 */
	public static final MessageID	SCN3001E = new MessageID( "SCN3001E" );

	/**
	 * "w肳ꂽl͕ɏオĂ܂BlF{0} ʒuF{1}" / {0}:l {1}:ʒu
	 */
	public static final MessageID	SCN3002W = new MessageID( "SCN3002W" );

	/**
	 * "Nbv ID w肳Ă܂B̓XLbv܂BʒuF{0}" / {0}:ʒu
	 */
	public static final MessageID	SCN3003E = new MessageID( "SCN3003E" );

	/**
	 * "Nbvw肳Ă܂B̓XLbv܂BʒuF{0}" / {0}:ʒu
	 */
	public static final MessageID	SCN3004W = new MessageID( "SCN3004W" );

	/**
	 * "sȗʒuw肳܂Bݒ͖܂BʒuF{0}" / {0}:ʒu
	 */
	public static final MessageID	SCN3005W = new MessageID( "SCN3005W" );

	/**
	 * "XCh摜w肳Ă܂B̓XLbv܂BʒuF{0}" / {0}:ʒu
	 */
	public static final MessageID	SCN3006W = new MessageID( "SCN3006W" );

	/**
	 * "sȃtF[hAEg[hw肳܂BftHgl {1} gp܂BʒuF{0}" / {0}:ʒu {1}:ftHgl
	 */
	public static final MessageID	SCN3007W = new MessageID( "SCN3007W" );

	/**
	 * "w肳ꂽl͊ɕɓoꂵĂ܂BlF{0} ʒuF{1}" / {0}:l {1}:ʒu
	 */
	public static final MessageID	SCN3008W = new MessageID( "SCN3008W" );

	/**
	 * <code>MessageIDs</code> ̃CX^X͐ł܂B
	 */
	private MessageIDs()
	{
		super();
	}
}