/*
 * "Peko" Visual Novel System
 *
 * All Rights Reserved.
 * Copyright (c) 1999-2003 Tsukuba Bunko.
 *
 * $Id: ResourceIDs.java,v 1.1 2005/07/11 12:49:18 ppoi Exp $
 */
package tsukuba_bunko.peko.session;


/**
 * <code>tsukuba_bunko.peko.save</code> pbP[WŎgp郊\[X̃\[X ID `܂B
 * @author	$Author: ppoi $
 * @version	$Revision: 1.1 $
 */
public final class ResourceIDs	{

	/**
	 * SaveDataInfoCellRenderer ̃ZTCYF"peko.savedata-chooser.cell.size"
	 */
	public static final String	CELL_SIZE = "peko.savedata-chooser.cell.size";

	/**
	 * SaveDataInfoCellRenderer ̃^CgtH[}bgF"peko.savedata-chooser.cell.title-format"
	 */
	public static final String	CELL_TITLE_FORMAT = "peko.savedata-chooser.cell.title-format";

	/**
	 * SaveDataInfoCellRenderer ̃^CX^vtH[}bgF"peko.savedata-chooser.cell.timestamp-format"
	 */
	public static final String	CELL_TIMESTAMP_FORMAT = "peko.savedata-chooser.cell.timestamp-format";

	/**
	 * SaveDataInfoCellRenderer ̖o^ڂ̃^CgF"peko.savedata-chooser.cell.no-data-title"
	 */
	public static final String	CELL_NO_DATA_TITLE = "peko.savedata-chooser.cell.no-data-title";

	/**
	 * SaveDataInfoCellRenderer ̑IwiFF"peko.savedata-chooser.cell.background.selected"
	 */
	public static final String	CELL_BACKGROUND_SELECTED = "peko.savedata-chooser.cell.background.selected";

	/**
	 * SaveDataInfoCellRenderer ̔IwiFF"peko.savedata-chooser.cell.background.unselected"
	 */
	public static final String	CELL_BACKGROUND_UNSELECTED = "peko.savedata-chooser.cell.background.unselected";

	/**
	 * SaveDataInfoCellRenderer ̃^Cg̑OiFF"peko.savedata-chooser.cell.title.color"
	 */
	public static final String	CELL_TITLE_COLOR = "peko.savedata-chooser.cell.title.color";

	/**
	 * SaveDataInfoCellRenderer ̃^Cg̃tHgF"peko.savedata-chooser.cell.title.font"
	 */
	public static final String	CELL_TITLE_FONT = "peko.savedata-chooser.cell.title.font";

	/**
	 * SaveDataInfoCellRenderer ̃^CX^v̑OiFF"peko.savedata-chooser.cell.timestamp.color"
	 */
	public static final String	CELL_TIMESTAMP_COLOR = "peko.savedata-chooser.cell.timestamp.color";

	/**
	 * SaveDataInfoCellRenderer ̃^CX^ṽtHgF"peko.savedata-chooser.cell.timestamp.font"
	 */
	public static final String	CELL_TIMESTAMP_FONT = "peko.savedata-chooser.cell.timestamp.font";

	/**
	 * SaveDataInfoCellRenderer ̃Rg̑OiFF"peko.savedata-chooser.cell.comment.color"
	 */
	public static final String	CELL_COMMENT_COLOR = "peko.savedata-chooser.cell.comment.color";

	/**
	 * SaveDataInfoCellRenderer ̃Rg̃tHgF"peko.savedata-chooser.cell.comment.font"
	 */
	public static final String	CELL_COMMENT_FONT = "peko.savedata-chooser.cell.comment.font";

	/**
	 * xɕ\(XN[Ȃŕ\)Z[uf[^F"peko.savedata-chooser.items-at-once"
	 */
	public static final String	ITEMS_AT_ONCE = "peko.savedata-chooser.items-at-once";

	/**
	 * OK {^LvVF"peko.savedata-chooser.button.ok"
	 */
	public static final String	BUTTON_OK = "peko.savedata-chooser.button.ok";

	/**
	 * CANCEL {^LvVF"peko.savedata-chooser.button.cancel"
	 */
	public static final String	BUTTON_CANCEL = "peko.savedata-chooser.button.cancel";

	/**
	 * Z[ũLvVF"peko.savedata-chooser.caption.save"
	 */
	public static final String	CAPTION_SAVE = "peko.savedata-chooser.caption.save";

	/**
	 * [h̃LvVF"peko.savedata-chooser.caption.load"
	 */
	public static final String	CAPTION_LOAD = "peko.savedata-chooser.caption.load";

	/**
	 * Z[ũ_CAO^CgF"peko.savedata-chooser.dialog.title.save"
	 */
	public static final String	DIALOG_TITLE_SAVE = "peko.savedata-chooser.dialog.title.save";

	/**
	 * [h̃_CAO^CgF"peko.savedata-chooser.dialog.title.load"
	 */
	public static final String	DIALOG_TITLE_LOAD = "peko.savedata-chooser.dialog.title.load";

	/**
	 * _CAO Window g邩ǂF"peko.savedata-chooser.dialog.decorated"
	 */
	public static final String	DIALOG_DECORATED = "peko.savedata-chooser.dialog.decorated";

	/**
	 * ㏑mF_CAO^CgF"peko.savedata-chooser.dialog.confirm.title"
	 */
	public static final String	DIALOG_CONFIRM_TITLE = "peko.savedata-chooser.dialog.confirm.title";

	/**
	 * ㏑mF_CAObZ[WF"peko.savedata-chooser.dialog.confirm.message"
	 */
	public static final String	DIALOG_CONFIRM_MESSAGE = "peko.savedata-chooser.dialog.confirm.message";

	/**
	 * Z[uf[^Ȃ_CAO^CgF"peko.savedata-chooser.dialog.notify-nodata.title"
	 */
	public static final String	DIALOG_NOTIFY_NODATA_TITLE = "peko.savedata-chooser.dialog.notify-nodata.title";

	/**
	 * Z[uf[^Ȃ_CAObZ[WF"peko.savedata-chooser.dialog.notify-nodata.message"
	 */
	public static final String	DIALOG_NOTIFY_NODATA_MESSAGE = "peko.savedata-chooser.dialog.notify-nodata.message";


	/**
	 * <code>ResourceID</code> ̃CX^X͐ł܂B
	 */
	private ResourceIDs()
	{
	}
}