/*
 * All Rights Reserved.
 * Copyright (C) 1999-2005 Tsukuba Bunko.
 *
 * Licensed under the BSD License ("the License"); you may not use
 * this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.tsukuba-bunko.org/licenses/LICENSE.txt
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * $Id: SaveData.java,v 1.2 2005/07/23 19:06:28 ppoi Exp $
 */
package tsukuba_bunko.peko.session;

import	java.io.Serializable;

import	java.util.Map;


/**
 * Z[uf[^łB
 * @author	$Author: ppoi $
 * @version	$Revision: 1.2 $
 */
public class SaveData	implements Serializable	{

	/**
	 * serial version UID
	 */
	private static final long	serialVersionUID	= 4620578133330608340L;

	/**
	 * Z[uf[^
	 */
	protected SaveDataInfo	_info = null;

	/**
	 * ZbV
	 */
	protected Session	_session = null;

	/**
	 * Z[uf[^Gg
	 */
	protected Map	_entries = new java.util.HashMap( 17 );


	/**
	 * <code>SaveData</code> ̃CX^X𐶐܂B
	 */
	public SaveData()
	{
		super();
	}

	/**
	 * Z[uf[^ݒ肵܂B
	 * @param	info	Z[uf[^
	 */
	public void setSaveDataInfo( SaveDataInfo info )
	{
		_info = info;
	}

	/**
	 * Z[uf[^擾܂B
	 * @return	Z[uf[^
	 */
	public SaveDataInfo getSaveDataInfo()
	{
		return _info;
	}

	/**
	 * ۑZbVݒ肵܂B
	 * @param	session	ۑZbV
	 */
	public void setSession( Session session )
	{
		_session = session;
	}

	/**
	 * ۑZbV擾܂B
	 * @return	ۑZbV
	 */
	public Session getSession()
	{
		return _session;
	}

	/**
	 * Z[uf[^ɃGgǉ܂B
	 * @param	name	Gg
	 * @param	entry	Gg
	 */
	public void addEntry( String name, Serializable entry )
	{
		_entries.put( name, entry );
	}

	/**
	 * Z[uf[^̃Gg擾܂B
	 * @param	name	Gg
	 * @return	Gg
	 */
	public Serializable getEntry( String name )
	{
		return (Serializable)_entries.get( name );
	}
}